> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product

> Create a new product with variants.



## OpenAPI

````yaml POST /products
openapi: 3.1.0
info:
  title: bitbybit Open API
  description: >-
    The bitbybit Open API provides programmatic access to your bitbybit data
    including customers, orders, and products.
  version: 1.0.0
  contact:
    name: bitbybit Support
    url: https://bitbybit.studio
servers:
  - url: https://api.bitbybit.studio/customer/api/open/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /products:
    post:
      tags:
        - Products
      summary: Create a product
      description: Create a new product with variants.
      operationId: createProduct
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - variants
              properties:
                name:
                  type: string
                description:
                  type: string
                variants:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    required:
                      - title
                      - price
                    properties:
                      title:
                        type: string
                      price:
                        type: number
                        minimum: 0
                      sku:
                        type: string
                tags:
                  type: array
                  items:
                    type: string
      responses:
        '201':
          description: Product created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Product'
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
        productId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
        medias:
          type: array
          items:
            type: string
        status:
          type: string
          nullable: true
        variants:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariant'
        options:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              values:
                type: array
                items:
                  type: string
        tags:
          type: array
          items:
            type: string
        types:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    ProductVariant:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        price:
          type: number
        compareAtPrice:
          type: number
          nullable: true
        inventorySku:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Create one in Settings > Developer.

````